#
# spec file for package yast (Version 1.13.3)
#
# Copyright (c) 2002 SuSE Linux AG, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# please send bugfixes or comments to feedback@suse.de.
#

# neededforbuild  gpp libgpp libpkg-devel lilo
# usedforbuild    aaa_base aaa_dir autoconf automake base bash bindutil binutils bison bzip compress cpio cpp cracklib cyrus-sasl db devs diffutils e2fsprogs file fileutils findutils flex gawk gcc gdbm gdbm-devel gettext glibc glibc-devel gpm gpp gppshare grep groff gzip kbd less libgpp libpkg-devel libtool libz lilo m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel patch perl ps rcs readline rpm sendmail sh-utils shadow strace syslogd sysvinit texinfo textutils timezone unzip util-linux vim

Name:         yast
Summary:      Yet another Setup Tool
Version:      1.13.3
Release:      5
Group:		System Environment/YaST
Source: 	yast-1.13.3.tar.gz
Source2: 	yast.fdisk.tar.gz
Patch2:		yast.fdisk.dif
Source3: 	yast.misc.tar.gz
Source4: 	alice.tgz
Source5: 	ihw_database
Source6:        Auto-Install.english.ps.gz
Source7:        Auto-Install.ps.gz
Patch10:        arch.i386.dif
Patch11:        arch.s390.dif
Patch12:        arch.ia64.dif
Patch13:        arch.ppc.dif
Patch14:        arch.alpha.dif
Patch15:        arch.sparc.dif
#Source8: 	yast.fdisk-q.tar.gz
#Patch16:	yast.fdisk-q.dif
Copyright: 	(c) 1994-2000 SuSE GmbH
BuildRoot:    %{_tmppath}/%{name}-%{version}-build

%description
YaST is a tool for installing and configuring the SuSE Linux system.
It provides easy administration capabilities.
Installation and configuration of the system by means of YaST is
explained in detailed in the accompanying SuSE Linux manuals.

Authors:
--------
    Michael Andres <ma@suse.de>
    Thomas Fehr <fehr@suse.de>

SuSE series: a

%ifarch s390 s390x
%package -n yast_dyn
Summary:      Dynamically linked yast
Group:        System Environment/YaST

%description -n yast_dyn
Dynamically linked yast

SuSE series: a

%endif
%prep
%setup
%setup -D -T -a 2
#%setup -D -T -a 8
%setup -D -T -a 3
mkdir alice
tar xvpfzC $RPM_SOURCE_DIR/alice.tgz alice
%ifarch s390 s390x
if [ -s arch.s390.dif ]
then
%patch11
fi
%endif
%ifarch i386
if [ -s $RPM_SOURCE_DIR/arch.i386.dif ]
then
%patch10
fi
%endif
%ifarch s390 s390x
if [ -s $RPM_SOURCE_DIR/arch.s390.dif ]
then
%patch11
fi
%endif
%ifarch ia64
if [ -s $RPM_SOURCE_DIR/arch.ia64.dif ]
then
%patch12
fi
%endif
%ifarch ppc
if [ -s $RPM_SOURCE_DIR/arch.ppc.dif ]
then
%patch13
fi
%endif
%ifarch alpha
if [ -s $RPM_SOURCE_DIR/arch.alpha.dif ]
then
%patch14
fi
%endif
%ifarch sparc
if [ -s $RPM_SOURCE_DIR/arch.sparc.dif ]
then
%patch15
fi
%endif
cd fdisk
%patch -P 2 -p0
cd ..
#cd fdisk-q
#%patch -P 16 -p0
#cd ..

%build
export SPECLIBS=
%ifnarch s390 s390x
make -C fdisk/fdisk fdisk
#make -C fdisk-q/fdisk fdisk
%endif
make -C alice
make -C Setup textnum YaST.dyn

%install
rm -rf   $RPM_BUILD_ROOT
############
install -o root -g root -m 0755 -d 	$RPM_BUILD_ROOT/sbin
install -o root -g root -m 0755 -d 	$RPM_BUILD_ROOT/usr/lib/YaST
install -o root -g root -m 0755 -d 	$RPM_BUILD_ROOT%{_mandir}/man8
install -o root -g root -m 0700 -d	$RPM_BUILD_ROOT/var/lib/YaST
install -o root -g root -m 0755 -d	$RPM_BUILD_ROOT/var/adm/YaST
install -o root -g root -m 0700 -d	$RPM_BUILD_ROOT/var/adm/backup
install -o root -g root -m 0700 -d	$RPM_BUILD_ROOT/var/adm/backup/rpmdb
install -o root -g root -m 0755 -d	$RPM_BUILD_ROOT/var/adm/inst-log
install -o root -g root -m 0755 -d	$RPM_BUILD_ROOT/var/adm/packages
install -o root -g root -m 0755 -d	$RPM_BUILD_ROOT/var/adm/removed_packages
install -o root -g root -m 0755 -d	$RPM_BUILD_ROOT/var/adm/removed_scripts
install -o root -g root -m 0755 -d	$RPM_BUILD_ROOT/var/adm/scripts
install -o root -g root -m 0755 -d	$RPM_BUILD_ROOT/var/adm/setup
############
install -o root -g root -m 0755    Setup/YaST.dyn	$RPM_BUILD_ROOT/sbin/YaST
%ifarch s390 s390x
install -o root -g root -m 0755    Setup/YaST.dyn      	$RPM_BUILD_ROOT/sbin/YaST.dyn
%endif
ln -s 				   YaST 		$RPM_BUILD_ROOT/sbin/yast
ln -s 				   YaST 		$RPM_BUILD_ROOT/sbin/yast1
ln -s 				   YaST 		$RPM_BUILD_ROOT/sbin/zast
############
install -o root -g root -m 0644    $RPM_SOURCE_DIR/ihw_database 	$RPM_BUILD_ROOT/usr/lib/YaST
install -o root -g root -m 0755    alice/alice_lvm_cmd  $RPM_BUILD_ROOT/usr/lib/YaST
install -o root -g root -m 0644    alice/*.lvm          $RPM_BUILD_ROOT/usr/lib/YaST
install -o root -g root -m 0644    alice/README         $RPM_BUILD_ROOT/usr/lib/YaST/README.alice_lvm
install -o root -g root -m 0644    COPYRIGHT.*	 	$RPM_BUILD_ROOT/usr/lib/YaST
install -o root -g root -m 0644    Description/*.gz 	$RPM_BUILD_ROOT/usr/lib/YaST
install -o root -g root -m 0755    create_yast_*	$RPM_BUILD_ROOT/usr/lib/YaST
%ifnarch s390 s390x
install -o root -g root -m 0755 -s fdisk/fdisk/fdisk 	$RPM_BUILD_ROOT/usr/lib/YaST
#install -o root -g root -m 0755 -s fdisk-q/fdisk/fdisk	$RPM_BUILD_ROOT/usr/lib/YaST/fdisk-q
%endif
############
gzip yast.8
install -o root -g root -m 0644    yast.8.gz		$RPM_BUILD_ROOT%{_mandir}/man8
############
touch     $RPM_BUILD_ROOT/var/adm/setup/setup.modem
chmod 644 $RPM_BUILD_ROOT/var/adm/setup/setup.modem
touch     $RPM_BUILD_ROOT/var/adm/setup/setup.mouse
chmod 644 $RPM_BUILD_ROOT/var/adm/setup/setup.mouse
############
export RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
mkdir -p var/adm/mount

%files
%doc 	COPYRIGHT.*
%doc    $RPM_SOURCE_DIR/Auto-Install.english.ps.gz
%doc    $RPM_SOURCE_DIR/Auto-Install.ps.gz
%doc 	%{_mandir}/man8/yast.8.gz
        /sbin/YaST
        /sbin/yast
        /sbin/yast1
        /sbin/zast
	/usr/lib/YaST
	/var/lib/YaST
	/var/adm/*
%ifarch s390 s390x

%files -n yast_dyn
        /sbin/YaST.dyn
%endif

%changelog -n yast
* Thu Mar 07 2002 - ma@suse.de
- Additional selections added by autoinstall need to be classified
  as 'selected by user'. Otherwise the dependency solver is allowed
  to deselect them again.
* Wed Dec 12 2001 - fehr@suse.de
- do not link yast static any more, this leads to sporadic crashes
  in installation environment when functions using the libnss
  libraries (getgrnam, gethostbyaddr) ar called
* Tue Nov 13 2001 - ma@suse.de
- Recognize suggested addon selections as well as required ones.
* Tue Nov 13 2001 - fehr@suse.de
- use parameter -q for mkfs.jfs (#12275)
- allow ext3 and jfs as root filesystem (add to INITRD_MODULES)
* Tue Nov 13 2001 - fehr@suse.de
- prevent call to GetGid it is obsolte anyway and causes YaST to
  crash in inst-sys sometimes (#11863)
* Fri Nov 02 2001 - fehr@suse.de
- add patch made by Olaf Hering to fdisk that fixes handling of
  AIX labels (PPC only, #12085)
- add changes mage by Olaf Hering arch.ppc.dif (PPC only)
- fix problem when using LVM for root fs (#11694)
* Thu Oct 04 2001 - fehr@suse.de
- change lilo call on PPC, bugzilla #11610 (PPC only)
* Tue Oct 02 2001 - fehr@suse.de
- add support for Hipersocket network (S390 only)
* Fri Sep 28 2001 - fehr@suse.de
- fix bug that disabled menu entries are enabled after changing
  language (#11345)
* Thu Sep 27 2001 - ma@suse.de
- version 1.13.2
- Fixed: Dependency solvers list of missing packages might be
  not in sync with current package state. I.e packages were tagged '[X]'
  but tag label is red, because the package is actualy not selected for
  install.
* Wed Sep 26 2001 - ma@suse.de
- removed debug output shown in Description popup in
  'load configuration' dialog.
* Tue Sep 25 2001 - ma@suse.de
- version 1.13.1
- reenabled preselection of missing packages in dependency solver
* Mon Sep 24 2001 - ma@suse.de
- fixed loading user defined configurations from floppy
* Mon Sep 24 2001 - ma@suse.de
- version 1.13
- new style 'load configuration' dialog; support for V2.1
  configurations (#10548)
* Fri Sep 21 2001 - fehr@suse.de
- recognize /dev/ataraid/ devices
* Thu Sep 20 2001 - fehr@suse.de
- add --quick and chroot to call for SuSEconfig (#10430)
* Tue Sep 18 2001 - fehr@suse.de
- add option -j to mke2fs for ext3 (#10678)
* Wed Sep 05 2001 - fehr@suse.de
- recognize Power3 PPC machines correctly
* Mon Sep 03 2001 - fehr@suse.de
- allow dhcp client configuration at installation with other
  devices as eth0
* Fri Aug 31 2001 - fehr@suse.de
- write lilo.conf for PPC to disk before calling lilo
- handle automated kernel selection on PPC correct
* Wed Aug 29 2001 - fehr@suse.de
- fix problem with too large powerpc boot partition (#9890)
- fix wrong scanning of rc.config files
- check returncode of debugreiserfs
* Tue Aug 28 2001 - ma@suse.de
- version 1.12d
- get rid of 32K libg++ String length limit.
* Thu Aug 16 2001 - fehr@suse.de
- add support for ext3 filesystem
* Wed Aug 08 2001 - ma@suse.de
- Bug fixed: YaST aborts, if the total length of package names,
  that are to be deleted at a single blow, exceeds 32K. (#9653)
* Wed Aug 08 2001 - fehr@suse.de
- add support for channel device configuration on S390
- add handling of partitioned devices on S390
- fix handling of '|' in remote printer names of /etc/printcap (#9200)
* Tue Aug 07 2001 - fehr@suse.de
- ignore ESC key in dialog after lilo config (#8891)
- disallow input of " in lilo append line (#9239)
- fix missing newlines in /etc/fstab
- add network card Netgear FA 311 (#9395)
- set initial runlevel direct in /etc/initab, DISPLAYMANAGER is now
  set independent of runlevel (#1076)
- fix bug concerning skipping whitespace when reading Strings from
  streams
* Fri Aug 03 2001 - fehr@suse.de
- add patch from Peter Poemel for handling of ISeries
* Thu Aug 02 2001 - fehr@suse.de
- removed object files from fdisk archive
- fix mac keyboard selection
* Wed Aug 01 2001 - fehr@suse.de
- changed handling of verious Powerpc subtypes
- fix bug in setting partition type (#9591)
- use fdisk from util-linux 2.11h
- fix bug in Main.cc
* Wed Jul 25 2001 - ma@suse.de
- version 1.12b
- fixed: Install media's DIST_IDENT (from setup/descr/info) might
  be parsed incorrect, if version contains letters.
* Fri Jul 20 2001 - cstein@suse.de
- forgot to include /sbin/yast1 in file list - fixed.
* Fri Jun 29 2001 - cstein@suse.de
- added symlink '/sbin/yast1 -> YaST'
* Tue Jun 19 2001 - fehr@suse.de
- add architecture s390x to specfile
* Mon May 21 2001 - fehr@suse.de
- work around a problem with device lvm configuration and devices in
  subdirectories of /dev (e.g. /dev/rd/, /dev/ida/, /dev/cciss, /dev/i2o)
- set version to 1.11.1
* Mon May 21 2001 - fehr@suse.de
- add fields for username/passwd/ip-address/workgroup to SMB dialog
  (S390 only)
* Thu May 17 2001 - fehr@suse.de
- force a hard reboot when installing kernel 2.2 (#8528)
- disable NLS in fdisk binary in /usr/lib/YaST/fdisk
* Tue May 15 2001 - ma@suse.de
- version 1.11
- replaced hardcoded texts by textnumber
- adjusted german and english texts and help for upadte and solver.
- pass arg to pre/postinstall script indicating wheter it's
  first install or upadte (#6958)
* Mon May 14 2001 - ma@suse.de
- version 1.10e
- aliases and oldstyle dependencies removed; adjusted all code, where
  packages were selected, based on aliases/oldstyle dependencies, mostly
  update, load configurations, XServer selection, pcmcia support.
  (#8227, #7558, #7662, #7736)
* Sat May 12 2001 - fehr@suse.de
- move the handling of update CD after kernel installation and
  before lilo configuration (#8191)
* Fri May 11 2001 - ma@suse.de
- version 1.10d
- fixed: previous fix led to misscalculated ScrollBarsize
  and abort() (#8147)
* Wed May 09 2001 - ma@suse.de
- fix to compile on ia64
* Wed May 09 2001 - fehr@suse.de
- use lat9-16.psfu instead if lat1-16.psfu for western europen
  languages (#7776)
* Wed May 09 2001 - ma@suse.de
- solver fixes
* Tue May 08 2001 - fehr@suse.de
- increase with of input field when entering the NFS path (#7869)
- remove adding of entry for vmlinux_24 to lilo.conf
* Tue May 08 2001 - ma@suse.de
- update specfile (need libpkg-devel (y2solver) for build)
- let install menu remember selected item upon return to it (#7562)
- be quiet about missing package file lists as they've been removed
  from CD (#7564)
* Mon May 07 2001 - fehr@suse.de
- do not use separate unicode maps any more (#7767)
- add update for czech texts
* Thu May 03 2001 - fehr@suse.de
- do not change comment block by modify_resolvconf in /etc/resolv.conf
- do not change anythin when aborting nemserver dialog
- add proofreaded english texts by Rebecca J. Walter
* Thu May 03 2001 - fehr@suse.de
- use fdisk version 2.11b as fdisk version yast used. previous fdisk
  version 2.10q went into endless loop with empty extended partition
* Mon Apr 30 2001 - fehr@suse.de
- make lilo boot graphical (#6675)
* Fri Apr 27 2001 - fehr@suse.de
- fix typo in scanning for /dev/cciss disk (#6933)
* Fri Apr 27 2001 - fehr@suse.de
- now version 1.10c
- add option -q to mkreiserfs
- use debugreiserfs instead of dumpreiserfs
- set GMT to --localtime instead of "" (#3907)
- do nor copy .config, version.h, autoconf.h to /usr/src/linux (#7062)
* Wed Apr 25 2001 - fehr@suse.de
- remove option "-O none" from call to mke2fs
- add C7000 netowk on S390
- fix bug in auto install (network device not propagated to system)
* Mon Apr 23 2001 - fehr@suse.de
- change handling for euro specific locale
* Mon Apr 23 2001 - fehr@suse.de
- add reasonable handling of comments from modify_resolvconf
- do not touch SERIAL_CONSOLE in rc.config when in normal system
* Thu Apr 19 2001 - fehr@suse.de
- default mount point for floppy/cdrom is below /media
- change name of boot config file for itanium to elilo.conf
* Thu Apr 19 2001 - fehr@suse.de
- set RC_LANG in /etc/rc.config during installation and update
- make automatic computation of swap partition correct again
* Wed Apr 18 2001 - fehr@suse.de
- warn only when system dir is mounted ro
* Wed Apr 11 2001 - fehr@suse.de
- allow uppercase character in group configurations user list
- use partition id 0x0f for extended partition make less
  problems with windows coexistence
- do not display filenames containing "README" or "ERROR" as
  console fonts
* Tue Apr 10 2001 - ma@suse.de
- don't use first language entry as default if no default exists in
  selection file.
* Thu Apr 05 2001 - fehr@suse.de
- use new default sizes for swap partition (#6904)
* Mon Apr 02 2001 - fehr@suse.de
- add modules for lvm and reiser to INITRD_MODULES if necessary
* Thu Mar 29 2001 - fehr@suse.de
- fix problem with automated partitioning on ia64
- increase default size of boot-Partition to 16MB
- leave unknown values in DEFAULT_LANGUAGE untouched, use english
  as language in YaST1 for those
- add japanese as known language but use english texts fo it
* Wed Mar 28 2001 - fehr@suse.de
- check for filesystems mounted readonly and report (#5422)
- prevent additional fstab entries from being lost when calling
  changing fstab in running system (#6829)
- use first writable ide disk ask boot device (#6544)
- add graphical boot screen if present (#6675)
* Tue Feb 20 2001 - fehr@suse.de
- add patches to build with gcc 2.96 on AXP
* Thu Feb 08 2001 - fehr@suse.de
- add needed sources of libg++, so that YaST can compile and
  link without libgpp installed
- limit password fields to at most 8 characters (Bugzilla #6279)
* Mon Feb 05 2001 - ma@suse.de
- fixed typo and bad text alignment in 'install package' info popup
  (#6248)
* Thu Feb 01 2001 - ma@suse.de
- fixed 'Package information' (failed to report packages found on
  installation medium (#6220))
* Wed Jan 31 2001 - ma@suse.de
- dummy turkish message files added
* Wed Jan 31 2001 - fehr@suse.de
- start of development branch for 7.2
* Fri Jan 26 2001 - fehr@suse.de
- set keymap into /etc/rc.config
* Wed Jan 24 2001 - fehr@suse.de
- recognize swap device also when doing an update
- remove created mtab in installed system after installation
- make automated partitioning work also with Sun and Bsd disklabel
  (only sparc and axp afftected)
* Fri Jan 19 2001 - fehr@suse.de
- add /dev/cciss/ to handle this devices in GetDiskName
* Fri Jan 19 2001 - ma@suse.de
- fixed handling of alias vs. provides/obsoletes
  on installation and update.
* Fri Jan 19 2001 - fehr@suse.de
- try ioctl HDIO_GETGEO when HDIO_GETGEO_BIG fails in FdiskAcc
* Thu Jan 18 2001 - fehr@suse.de
- add handling of update disk/cdrom to YaST
* Wed Jan 17 2001 - fehr@suse.de
- add fix for wrong kernel 2.4 entry in /etc/lilo.conf (#5815)
* Wed Jan 17 2001 - fehr@suse.de
- add changes for dasd handling (s390 only)
- add network cards for powerpc
* Tue Jan 16 2001 - fehr@suse.de
- add handling of hungarian for call to wvdial.lxdialog
* Mon Jan 15 2001 - ma@suse.de
- fixed package dependency tables ('*' denoting installed packages
  was missing) (#5595)
* Mon Jan 15 2001 - fehr@suse.de
- change texts about 1024 cylinder warning
- set version to 1.09
- change fs type for DOS partition based installation to vfat (#5680)
- change device entry for proc device in /etc/fstab to "proc" from
  "none" (#5584)
- added entry for starfire, e100, e1000 network drivers
- disable modprobe before calling vgcan in installed system
- create a valid /etc/mtab in installed system (#5512)
- add new version of ihw_database from Karsten Keil
* Fri Jan 12 2001 - fehr@suse.de
- add support for cciss and i2o disks in lilo config
* Fri Jan 12 2001 - fehr@suse.de
- make nameserver config in auto install compatible to previous releses
- add wdm to as possible display managers in login configuration
- version is 1.08k
* Thu Jan 11 2001 - fehr@suse.de
- provide alternate newer fdisk binary as /usr/lib/YaST/fdisk-q
* Thu Jan 11 2001 - fehr@suse.de
- do always a hard reboot when root device is LVM lv
- layout change due to longer package names
* Wed Jan 10 2001 - fehr@suse.de
- fix problems related with YaST1 and new LVM version
- change lilo config to handle a LVM based root FS
* Wed Jan 10 2001 - ma@suse.de
- version 1.08j
- various format changes due to long package names (#4583)
- fixed overflow of sizecounter in backup (#5128)
* Tue Jan 09 2001 - fehr@suse.de
- prevent kernel 2.4 from being the first on kernel install menue
* Mon Jan 08 2001 - fehr@suse.de
- version 1.08h
- do not create duplicate option lines for a module (#5202)
- finally fix lilo.conf syntax error with empty initrd line (#5241)
- change magic string to look for after initial "?" command on sparc
* Sat Jan 06 2001 - ma@suse.de
- version 1.08g
- copy pkgdescriptions to /var/adm/current_package_descr/suse/setup/descr
  on rewriting update.inf (#4355)
* Thu Jan 04 2001 - fehr@suse.de
- fix problem with more than 4 network devices (#5180)
- fix problem with changed network device name for alias devices
- do not overwrite DEFAULT_LANGUAGE during update (#5173)
* Tue Jan 02 2001 - fehr@suse.de
- call sparc silo also when doing an update
* Wed Dec 27 2000 - fehr@suse.de
- change created deafult route line in /etc/route.conf (#3949)
* Fri Dec 22 2000 - fehr@suse.de
- fix possible syntax error in lilo.conf (#4916)
- call SuSEconfig.pcmcia when necessary (#4903)
* Tue Dec 19 2000 - fehr@suse.de
- change /sbin/init.d to /etc/init.d in isdn config
* Tue Dec 19 2000 - fehr@suse.de
- check for blocksize of dasd to format.
- refuse to format dasd with bs!=4096
* Tue Dec 19 2000 - fehr@suse.de
- do not use linear setting when lba32 is used in lilo.conf (#4795)
- set reboot option for linuxrc when installing kernel 2.4 (#4783)
- renamed ypclient to ypbind
- make eth default network also when no network alias is set (#4781)
* Fri Dec 15 2000 - fehr@suse.de
- do not create global initrd entry any more
* Fri Dec 15 2000 - fehr@suse.de
- add popup to ask boot device for lilo when IDE and SCSI disk are
  present (Bug #4662)
- adapt to new /proc structure of lvm 0.9
* Thu Dec 14 2000 - fehr@suse.de
- fix leftover of open dialog (bugzilla #4342)
* Wed Dec 13 2000 - fehr@suse.de
- changed warning for LVM LV as root device
* Tue Dec 12 2000 - fehr@suse.de
- recognize also KDE2 as KDE based installation
- handle alternate initrd name of kernel 2.4 in lilo config
- removed copying of vmlinuz to vmlinuz.suse now done by kernel rpm
* Mon Dec 11 2000 - fehr@suse.de
- set version to 1.08f
- remove deleted LV from internal list (#4123)
- add entry for memtest86 to lilo.conf
- save pre/post partitioning listing to /var/lib/YaST when partitionig
* Sat Dec 09 2000 - fehr@suse.de
- make YaST add optional entries for 22/24 kernel images in lilo
  config to allow coexistence of both kernels
* Fri Dec 08 2000 - ma@suse.de
- version to 1.08e
- FtpInstall: check info file for MinYaSTVersion before retrieving the other
  description files. Might be we don't need them. (#323)
- layout changes for long package names
* Fri Dec 08 2000 - fehr@suse.de
- make AUTO_FDISK recognized correctly in all cases (naming conflict
  with AUTO_FDISK_DISK)
* Tue Dec 05 2000 - fehr@suse.de
- update dutch texts
* Thu Nov 30 2000 - fehr@suse.de
- update hungarian texts
* Wed Nov 29 2000 - fehr@suse.de
- allow disks with more than 65535 cylinders (#4446)
- set version to 1.08d
* Tue Nov 28 2000 - fehr@suse.de
- additonal fixes for english main menue (#4201)
- change LANGUAGE to DEFAULT_LANGUAGE
- update /etc/resolv.conf directly instead of using rc.config-variables
- add color setting to created /etc/lilo.conf
* Mon Nov 27 2000 - fehr@suse.de
- add fixes from Bernd Kaindl (bk@suse.de) for S390 installation
- add fixes for ia64 from Andreas Schwab (schwab@suse.de)
- add new alice.tgz from Fabian Herschel (Fabian.Herschel@suse.de)
- add new spanish translations
* Thu Nov 23 2000 - ma@suse.de
- place cursor on parentdir on "cd .." in browser.
* Wed Nov 15 2000 - fehr@suse.de
- change main menue texts according to Karl Eichwalders suggestion
- change most occurences of CD-ROM to CD/DVD (#4310)
- fix missing creation of /var/log/faillog and /var/log/lastlog (#4248)
- disable F9 key when on "New Network" in network base dialog (#4322)
- read USB entry form install.inf and add appropriate line to conf.modules
* Fri Nov 03 2000 - ro@suse.de
- added Group: System Environment/YaST
* Fri Nov 03 2000 - ma@suse.de
- Version to 1.08c
- Package selection may be sorted by RpmGroup tag.
* Tue Oct 17 2000 - fehr@suse.de
- prevent endless loop in lilo configuration
- add handling of PtP address from /etc/install.inf
- ctc, escon and iucv are PtP devices
* Fri Oct 13 2000 - fehr@suse.de
- give mtu value to network address dialog on installation
- ask for normal or lvm installation on S390
* Fri Oct 13 2000 - fehr@suse.de
- add support for Compaq CSS devices
- convert dasd device names to addresses before giving them to S390 loader
- fix problem with S390 swap entry in /etc/fstab
- mouse type of mac is ps2 not imps2
* Tue Oct 10 2000 - fehr@suse.de
- install kernel k_chrp64 on a machine with POWER3 cpu
* Tue Oct 10 2000 - fehr@suse.de
- look for unformatted dasd in /proc/dasd/devices
- fix bug in string handling of lvm physical devices on S390
- fix fstab entries with lvm logical volumes on S390
* Fri Oct 06 2000 - fehr@suse.de
- fix inconstistency in module option handling (Bug# 4069)
* Wed Oct 04 2000 - fehr@suse.de
- add handling of lba flag for lilo to access above 1024 cylinder
* Thu Sep 28 2000 - fehr@suse.de
- fix bugs concerning update on S390 dasd devices
* Wed Sep 27 2000 - fehr@suse.de
- fix bug in regex for disk device recognition
- allow more dasd devices
- add aditional architectures to FTP dir selection
- invalidate cache directly by calling /usr/sbin/nscd
* Wed Sep 27 2000 - fehr@suse.de
- do not allow reiserfs on AXP
* Tue Sep 26 2000 - fehr@suse.de
- make update on S390 dasd devices possible
* Tue Sep 19 2000 - fehr@suse.de
- allow architecture dependent type of networks
- add IUCV network for S390
* Mon Sep 18 2000 - fehr@suse.de
- allow update for S390 again
* Mon Sep 18 2000 - fehr@suse.de
- reworked the mouse configuration to be more easily changeable
- change boot and mouse config for PPC machines
* Fri Sep 15 2000 - ma@suse.de
- FTP-install scan subdirs of images too for .inf
* Fri Sep 15 2000 - fehr@suse.de
- add missing new module name in Makefile.WidLib
* Thu Sep 14 2000 - fehr@suse.de
- add possibility to install via SMB
- enable LVM for S390
* Wed Sep 13 2000 - ma@suse.de
- Version to 1.08b
- install.lst: do not concern the order of the entries (#3722)
- FTP-install don't get files from server if they are already local
* Wed Sep 13 2000 - fehr@suse.de
- fix a bug occuring when using autoinstall scripts and tape recover
- add a field for MTU to network address dialog
* Wed Sep 13 2000 - ma@suse.de
- FTPinstall: using NLST instead of trying to parse LIST output
  upon setup
- FTPinstall: supress 'file not found' messages for files we do not
  really require.
* Fri Sep 08 2000 - fehr@suse.de
- make fdisk output "BSD label" again when encountering a BSD label
* Tue Sep 05 2000 - fehr@suse.de
- allow architecture dependent network devices
- add ctc and escon network devices for S390
- do not call lilo on non-intel arch after kernel install
- possibility to repeat kernel install if failed
* Mon Sep 04 2000 - fehr@suse.de
- use "sr?" as name for SCSI cd device instead of "scd?"
* Tue Aug 29 2000 - fehr@suse.de
- fix stupid behaviour when updating an up to date system (#3758)
- Add new modules to INITRD_MODULES instead of replacing them
* Thu Aug 24 2000 - fehr@suse.de
- add line for USB modem to modem configuration
* Wed Aug 23 2000 - fehr@suse.de
- changed mouse/modem config for macintosh (according to olh)
* Tue Aug 22 2000 - fehr@suse.de
- show numeric user and group id in F3 lists of user and group dlg
- do not display YP warning more than once in user dlg
* Wed Aug 16 2000 - fehr@suse.de
- add support for reiserfs partitions to create_yast_partfiles
* Tue Aug 15 2000 - fehr@suse.de
- disable NFS server when portmapper is disabled (#3688)
* Fri Aug 11 2000 - ma@suse.de
- always found packages whose label starts with 'Name' (#3740)
* Thu Aug 10 2000 - ma@suse.de
- russian message texts updated
* Tue Aug 08 2000 - ma@suse.de
- italian message texts updated
* Thu Aug 03 2000 - fehr@suse.de
- update spanisch message texts
* Wed Aug 02 2000 - fehr@suse.de
- check for number of lines >=24 instead of >= 25 (serial terminals)
* Fri Jul 28 2000 - fehr@suse.de
- recognize "restricted" in global lilo.conf area
* Thu Jul 20 2000 - ma@suse.de
- fixed du-window didn't show size chages due to auto depend
  immediately.
* Thu Jul 20 2000 - ma@suse.de
- keep connection open during FTP install
- message texts updated
* Wed Jul 19 2000 - ma@suse.de
- message texts updated
* Wed Jul 19 2000 - fehr@suse.de
- make abort of root fsys selection on update go to inital install menue
- copy vmlinuz to vmlinuz.suse after installation of kernel RPM
* Tue Jul 18 2000 - fehr@suse.de
- fix problem with false enabled menue entries
* Mon Jul 17 2000 - fehr@suse.de
- fix problem when a '%%' is in the string given to syslog
* Mon Jul 17 2000 - ma@suse.de
- version to 1.07
- Du computation improved (#3254)
- strip kernel.rpm's from '...foreign packages' messages (#3255)
* Fri Jul 14 2000 - ma@suse.de
- Disable execution of triggerscripts.
* Thu Jul 13 2000 - fehr@suse.de
- add Auto-Install docu to package
- call silo on sparch with option -t to prevent writing to MBR
* Mon Jul 10 2000 - ma@suse.de
- fixed empty filelist without explanation why, and grep writing to
  stderr, if '*.fil' files are not available (located on CD1 only).
  (#2976,#3191)
* Mon Jul 10 2000 - fehr@suse.de
- another typo in english messages fixed (bugzilla #3277)
- new version of ihw_database from Karsten Keil
- eject cdrom only on powerpc and sparc platforms
- fix bug when eth0 appears after eth1 in /etc/conf.modules
- add alice_lvm_cmd to yast files
- update hungarian texts
* Fri Jul 07 2000 - fehr@suse.de
- typo in english messages fixed
* Thu Jul 06 2000 - fehr@suse.de
- set group of cdrom device to "media"
* Thu Jul 06 2000 - ma@suse.de
- Bugfix in Setup/Makefile. No more need to steal files from RCS ;)
* Thu Jul 06 2000 - ro@suse.de
- added missing files GlobBackup_Cfg.{cc,h}
  stolen from RCS
* Wed Jul 05 2000 - ma@suse.de
- Version 1.06c
- more precise error message if query of PRE/POST script fails (#3150)
- fixed: Backup didn't recognize some newer filesystems (reiserfs) (#1465)
* Mon Jul 03 2000 - fehr@suse.de
- add initrd line in silo.conf for sparc
* Thu Jun 29 2000 - fehr@suse.de
- fix problem when selecting a S390 dasd device for update
- add ippp username/passwd also to /etc/ppp/chap-secrets in ISDN config
* Wed Jun 28 2000 - fehr@suse.de
- fix problem writing silo.log on s390
* Wed Jun 28 2000 - fehr@suse.de
- add some changes to s390 dif file
- remove reference to rc.config variabel DHCLIENT
* Tue Jun 27 2000 - fehr@suse.de
- move root= to parmfile for S390 silo config
- fix bug with tr0 netcard dialog
* Tue Jun 27 2000 - fehr@suse.de
- fix errors in message texts found by kasal@suse.de
- fix bug computing ByteCyl_l for sparc in FdiskAcc.cc
* Fri Jun 23 2000 - fehr@suse.de
- allow possibility to have network card list dependent on architecture
- scan /proc/swaps to recognize swap partitons
* Wed Jun 21 2000 - fehr@suse.de
- change S390 silo config to use /etc/silo.conf
- prevent selection of local printer in remote printer dialog
  with F3 (bugzilla #2947)
- do not try to config gpm when it it not installed
- scan alternate syntax in /proc/dasd/devices
- execute dasdfmt in FormatS390Dasd only when really necessary
- allow installation from reiserfs partition
* Thu Jun 08 2000 - fehr@suse.de
- more special handling (kbd, NFS, FTP) for IBM S390
* Wed Jun 07 2000 - fehr@suse.de
- add special handling for installation on IBM S390
* Mon Jun 05 2000 - fehr@suse.de
- ignore SIGWINCH when calling setfont
- add whitespace to eject call
* Fri Jun 02 2000 - fehr@suse.de
- add more parameters for automated installation
* Wed May 31 2000 - fehr@suse.de
- Changed XFree86 config to call sax/sax2 dependent on xinit link
* Tue May 30 2000 - kasal@suse.de
- Fixed a typo in Czech messages.
* Tue May 30 2000 - fehr@suse.de
- improve handling of erial console in lilo config
- search for Console: in /etc/install.inf
- set LD_LIBRARY_PATH to explicitly search in /lib and /usr/lib first
- increase size of /boot partition. Overall to 5MB, for powerpc to 8MB
- changed to new version 2.10m of fdisk
* Mon May 29 2000 - schwab@suse.de
- Add NULL pointer checks in fdisk.
* Fri May 26 2000 - fehr@suse.de
- make the poot partition in an itanium 48 MB large and of type VFAT
* Fri May 19 2000 - fehr@suse.de
- fix duplicated /boot entry in /etc/aboot.conf
* Thu May 18 2000 - fehr@suse.de
- scan for active LVM after mounting FS, external command could have
  activated LVM
- call pvcreate so that it does never asks questions
* Wed May 17 2000 - fehr@suse.de
- add special handling for itanium installation
- call silo from installed system
* Tue May 16 2000 - fehr@suse.de
- call silo after silo configuration
- add special handling of install kernels for 32bit und 64bit sparcs
* Mon May 15 2000 - fehr@suse.de
- create the "whole disk" partition on sparc as first one
* Mon May 15 2000 - fehr@suse.de
- add integration of scripts for partitiong and fs setup
- fix bug creating swap in interactive mode of automated installation
- fix handling of serial console in /etc/rc.config
- fix another bug in editing aboot.conf
- fix another partitioning bug in sparc
* Mon May 08 2000 - fehr@suse.de
- call eject with cdrom device as parameter
* Fri May 05 2000 - fehr@suse.de
- add sparc silo configuration
- warn when using LVM for / and/or /boot
* Fri Apr 28 2000 - fehr@suse.de
- fix bug in partitioning in sparc
* Thu Apr 27 2000 - ma@suse.de
- make it compile
* Wed Apr 26 2000 - ma@suse.de
- replaced `i386' with correct architecture in all default paths
  (esp. in FTP setup) (Bug#2685)
* Wed Apr 26 2000 - fehr@suse.de
- fix bug in ftp installation
- execute setclock in installation environment
* Tue Apr 25 2000 - fehr@suse.de
- set default language to english, do not use default.msg.gz any more
* Wed Apr 19 2000 - fehr@suse.de
- fix bug in AXP-MILO bootloader configuration
* Tue Apr 18 2000 - fehr@suse.de
- fix bug in handling of file /etc/aboot.conf
* Tue Apr 18 2000 - fehr@suse.de
- changed ihw_database from Karsten keil
* Tue Apr 18 2000 - fehr@suse.de
- hide apple partitions of type Apple_FWDriver and of size < 100 Blocks
* Fri Apr 14 2000 - fehr@suse.de
- change in partition setup for AXP and PPC
- ignore 1024 cylinder boundary in PPC
- do AXP bootloader config after every kernel installation
* Mon Apr 10 2000 - fehr@suse.de
- eject CDROM before demanding another one
* Fri Apr 07 2000 - fehr@suse.de
- preselect mac keyboards when on a mac
* Wed Apr 05 2000 - fehr@suse.de
- again changes to setup of os-chooser
- dd kernel image for PReP PPC (zImage.prep) to partition 0x41 if it exists
* Mon Apr 03 2000 - fehr@suse.de
- add changes for bootload config on AXP
* Mon Apr 03 2000 - fehr@suse.de
- add changes for powerpc arch to YaST
* Fri Mar 31 2000 - fehr@suse.de
- link YaST dynamic on s390
- get serial console info from /proc/cmdline instead of install.inf
* Fri Mar 31 2000 - fehr@suse.de
- add ifarch s390 to specfile
* Thu Mar 30 2000 - fehr@suse.de
- updates to various foreign language message files
* Fri Mar 24 2000 - fehr@suse.de
- do a ypclient restart when changing YP config
- add lithunian as language
* Fri Mar 24 2000 - schwab@suse.de
- Add fdisk patches for ia64.
* Sat Mar 18 2000 - ma@suse.de
- version yast-1.05.1
- fixes for garbage screen output on PPC (big endian)(Bug#523)
* Mon Mar 13 2000 - fehr@suse.de
- handle hfs correct when creating an /etc/fstab
* Sat Mar 11 2000 - fehr@suse.de
- add Bernds fix to YaST-RCS
* Sat Mar 11 2000 - bk@suse.de
- fixed reiserfs unasked Format bug on updating partition table
* Fri Mar 10 2000 - fehr@suse.de
- set IP_DYNIP to "yes" when a interface is configured "dynamic"
* Thu Mar 09 2000 - ma@suse.de
- workaround broken reiserfs readlink() (ignores bufflen parameter)
* Wed Mar 08 2000 - ma@suse.de
- version yast-1.05
- avoid usage of .fil files upon package installation.
* Wed Mar 08 2000 - fehr@suse.de
- always suggest /boot/vmlinuz as kernel path in lilo config
- remove reference to (MET) from Texts
* Tue Mar 07 2000 - fehr@suse.de
- remove reference to "mask" in english translations
- display only RPMs starting with k_ in suse/images for kernel selection
* Mon Mar 06 2000 - fehr@suse.de
- fixed typo in comment in lilo.conf
- update message texts
- remove default route from /etc/route.conf when changing to auto IP
* Thu Mar 02 2000 - fehr@suse.de
- add option --update for automated selection of update mode
- change network handling for pcmcia systems (Bugzilla-Bug: 2125)
* Wed Mar 01 2000 - fehr@suse.de
- disable reiserfs for partitions smaller than 100M
- updates for english, italian, french and breton message texts
- minor bugfixes (filesystem handling, lilo)
* Mon Feb 28 2000 - ma@suse.de
- version yast-1.04f
- Specfile: use %%{_mandir} instead of /usr/man (Bug#2106)
- package configuration: support for language dependent package lists
  in configuration (.sel) files.
* Thu Feb 24 2000 - fehr@suse.de
- add new version of ihw.[ch] from Karsten
* Wed Feb 23 2000 - ma@suse.de
- version yast-1.04e
- In package selection delay any notify/dependency popups
  until the final selection (i,D,R) is made and the cursor bar
  is about to be moved away from the current item.
  (Bug#1929)
* Wed Feb 23 2000 - fehr@suse.de
- remove id field from ISDN hardware config screen
- achieve old ncurses behaviour with ncurses 5.0
- updated ihw_database
* Mon Feb 21 2000 - ma@suse.de
- fix incomplete screen refresh upon YaST start. Now whole
  background gets painetd black, if color is active.
* Thu Feb 17 2000 - fehr@suse.de
- add Karstens i4l hardware config fix to normal sources
* Wed Feb 16 2000 - kkeil@suse.de
- updated ihw_database
- fix i4l hardware config
* Wed Feb 16 2000 - ro@suse.de
- updated ihw_database
* Mon Feb 14 2000 - fehr@suse.de
- fix bug that prevented changed network card from being saved
- fix wrong message text after kernel update
- umount install media before call to SuSEconfig
- changed version to 1.04c
* Fri Feb 11 2000 - fehr@suse.de
- fix LVM related bug when changing LV size in installation environment
- remove obsolete info window after kernel installation.
* Thu Feb 10 2000 - fehr@suse.de
- add ihw.c for runtime access to I4L hardware data
- add callback selection to I4L config screen
- do not load disk modules automatically
* Fri Feb 04 2000 - fehr@suse.de
- reload nscd after changing groups/users
- set USE_KERNEL_NFSD to "yes" when NFS server active
- special handling for mouse selection on sparc
* Fri Feb 04 2000 - fehr@suse.de
- search for info file in root of ramdisk also
- set selected swap partition definitely to swap
* Mon Jan 31 2000 - fehr@suse.de
- add sparc changes of thorsten to spec template
- change fdisk diff for sparc
* Mon Jan 31 2000 - fehr@suse.de
- process abort in partition type dialog correctly
- make network card dialog work as olh suggested
- fix IP address check code
* Sun Jan 30 2000 - kukuk@suse.de
- fdisk fixes for SPARC
* Fri Jan 28 2000 - fehr@suse.de
- remove reference to obsolete text number
* Fri Jan 28 2000 - fehr@suse.de
- fix bug in sendmail configuration
- add new texts to english.MSG
* Thu Jan 27 2000 - fehr@suse.de
- changes for installation and partitioning on mac and rs6000
- existence check of dhcp client changed (search for dhcp_client)
* Thu Jan 27 2000 - fehr@suse.de
- use kernel with "deflt" in name as default kernel
* Wed Jan 26 2000 - ro@suse.de
- update
* Wed Jan 26 2000 - ro@suse.de
- removed duplicate part of specfile
* Wed Jan 26 2000 - fehr@suse.de
- ask for resize of reiserfs if LV with reiserfs is enlarged
- add max/min passwd length and passwd sanity check to login.defs dlg
* Tue Jan 25 2000 - fehr@suse.de
- change kernel configuration to use RPMs
- allow reiser filesys in automated installation
* Mon Jan 24 2000 - fehr@suse.de
- add field dynamic to IP address mask
- add field PCMCIA to network select mask
- changes for partitioning on alpha
- fixed some bugs related to LVM in YaST
* Fri Jan 21 2000 - ro@suse.de
- fixed to compile
* Mon Dec 20 1999 - fehr@suse.de
- add some special handling for Macintosh installation
* Mon Dec 13 1999 - ma@suse.de
- set version to 1.03.2
- fixed: update failed to recognize splitted packages
* Thu Nov 25 1999 - ma@suse.de
- 'Save configuration' now remembers all installed
  packages. So there is no need to disable it, if no
  package description is available.
* Thu Nov 25 1999 - fehr@suse.de
- fix "off-by-one" bug in fdisk when creating BSD disklabel in fdisk patch
* Mon Nov 15 1999 - fehr@suse.de
- add capability to create BSD disklabel partitions on alpha
- add reiserfs as alternate filesystem
- add special handling of minolta printers
* Tue Nov 09 1999 - fehr@suse.de
- fix bug when recreating MenuList in PlaceMenue
* Tue Nov 09 1999 - fehr@suse.de
- change text for kernel selection
* Mon Nov 08 1999 - fehr@suse.de
- add patch to reread BSD partition table to fdisk patch
- change to 6.3 in example user text
- update russian, brazil and slovak language to 6.3
* Fri Nov 05 1999 - fehr@suse.de
- set version to 1.03
- check for existence of package ypclient before enabling YP-Client config
- add "dynamic" to IFCONFIG entry of ISDN-PP devices
* Fri Nov 05 1999 - ma@suse.de
- fixed bug in handling of splitted packages.
* Thu Nov 04 1999 - fehr@suse.de
- add spanish translations
- disallow 0 s size of logical volume
- minor changes
* Wed Nov 03 1999 - fehr@suse.de
- make search in rc.config variables case insensitive
- create /etc/lvmtab.d when installing an LVM based system
* Wed Nov 03 1999 - fehr@suse.de
- try to resize xterm according to YaSTs minimal needs
* Wed Nov 03 1999 - fehr@suse.de
- allow activation of dhcp or bootp device without IP adress
* Wed Nov 03 1999 - fehr@suse.de
- fix bug in handling F3 selection in remote printer mask
- remove some entries from YaST2 from /proc/cmdline
- add new network driver
* Tue Nov 02 1999 - fehr@suse.de
- when installing smp kernel --> install kernmods.rpm, make linuxrc reboot
- set language for wvdial.lxdialog correct
- fix some minor bugs
- set version to 1.02c
* Fri Oct 29 1999 - fehr@suse.de
- put INITRD_MODULE from /etc/install.inf to /etc/rc.config
- change to work with new ps-utils
* Thu Oct 28 1999 - fehr@suse.de
- fix problem when root is on a umsdos filesystem
* Thu Oct 28 1999 - fehr@suse.de
- add initrd= only to /etc/lilo.conf when /boot/initrd exists
* Thu Oct 28 1999 - fehr@suse.de
- add new network cards
- selections files now outside of YaST
- fix problems with LVM installation
* Mon Oct 25 1999 - fehr@suse.de
- fix wrong regex for /dev/rd and /dev/ida raids
* Fri Oct 22 1999 - fehr@suse.de
- insert initrd=/boot/initrd in /etc/lilo.conf
- call mk_initrd -r <Root> after kernel installation
- handle initrd value in lilo configuration. Default is /boot/initrd.
- change layout for SelectList
- Change ACS characters for scrollbar
* Tue Oct 19 1999 - fehr@suse.de
- add english translations from Steve Tomlin
* Mon Oct 18 1999 - fehr@suse.de
- make console setup in lilo append line more flexible
* Mon Oct 18 1999 - fehr@suse.de
- add console= to lilo append line when installing over serial console
* Fri Oct 15 1999 - fehr@suse.de
- add Winbond ISDN card
* Thu Oct 14 1999 - fehr@suse.de
- add button for cracklib checks to security dialog
- add /dev/irlpt0 to parallel devices
- make install media setting from YaST2 work
* Thu Oct 14 1999 - ro@suse.de
- fixed typo in FdiskAcc
* Wed Oct 13 1999 - fehr@suse.de
- prevent 'c:' with BSD disklabels from being seen in YaST
- read console entry from /etc/install.ing and put it into /etc/rc.config
* Mon Oct 11 1999 - fehr@suse.de
- add dialog for configuration of /etc/login.defs
* Mon Oct 11 1999 - fehr@suse.de
- change partition ID of LVM from 0x7E to 0x8E
* Thu Oct 07 1999 - fehr@suse.de
- add mask to set password expiry entries in /etc/shadow
- changed user dialog to use useradd and usermod
- add breton als new language
* Fri Oct 01 1999 - fehr@suse.de
- changes for more general bootp and dhcp setup
* Fri Oct 01 1999 - fehr@suse.de
- change handling of MD activation for new raidtools
* Thu Sep 30 1999 - fehr@suse.de
- fix bug keeping open fds on disks
* Wed Sep 29 1999 - fehr@suse.de
- add sendmail expert mode dialog
* Wed Sep 29 1999 - fehr@suse.de
- add expert mask in filesys mask
- add support for configuration and use of LVM devices
- new beta version yast-1.02a
* Tue Sep 21 1999 - fehr@suse.de
- YaST package that restarts nscd after creating a new user
- new version yast-1.01.4
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Wed Sep 08 1999 - ma@suse.de
- new version yast-1.01.3
- install: prefer configurations located on installmedium
- fix bug in ftp setup upon update
* Wed Aug 25 1999 - fehr@suse.de
- fix bug that existing BSD partitions disturb YaST
* Mon Aug 23 1999 - msrex@suse.de
- changed selections
* Thu Aug 12 1999 - fehr@suse.de
- make YaST recognize partition ids 6 and 4 as DOS again
* Thu Jul 29 1999 - ma@suse.de
- changed default-selection (516 MB, msrex)
* Wed Jul 28 1999 - fehr@suse.de
- improve floppy handling in automated installation
* Tue Jul 27 1999 - fehr@suse.de
- make automated network configuration work again
* Mon Jul 26 1999 - fehr@suse.de
- language romanian ready for 6.2
* Fri Jul 23 1999 - fehr@suse.de
- checked in again for Michel
* Fri Jul 23 1999 - ma@suse.de
- filter out all 'not in index' messages
* Thu Jul 22 1999 - ma@suse.de
- changes in selections from msrex
* Thu Jul 22 1999 - fehr@suse.de
- set SETUPDUMMYDEV to "no" when configuring as DHCP-client
- lanugae russian ready for 6.2
- changes in selections from msrex
* Wed Jul 21 1999 - fehr@suse.de
- changes in selections from msrex
* Wed Jul 21 1999 - fehr@suse.de
- languages spanisch and indonesian ready for 6.2
- typos in english messages fixed.
* Tue Jul 20 1999 - fehr@suse.de
- languages german, english, french, italian, czech, slovak, brazilian,
  dutch, hungarian, portuguese ready for 6.2
- fix bug leyving STUPDUMMYDEV on "yes"
- new selection content of msrex
- filter out 'not found in file index' messages
- use --nomd5 when creating backups (much faster)
- checks and changes for package DB conversion
- suppress rpm check for free disk space (aborts far too early)
* Wed Jul 14 1999 - bs@suse.de
- added Check
* Wed Jul 14 1999 - ma@suse.de
- don't show reverse-update message (seems to confuse)
- autoselect apmd together with pcmcia
- load language.english.sel if there is no configuration
  for the current language
* Mon Jul 12 1999 - fehr@suse.de
- change fdisk path in specfile
* Mon Jul 12 1999 - fehr@suse.de
- add additional ISDN cards
- changed to version 2.9t of fdisk
* Mon Jul 12 1999 - ro@suse.de
- updated selections: added mesa/mesasoft where kbase was included
* Fri Jul 09 1999 - fehr@suse.de
- minor bug fixes
* Fri Jul 09 1999 - fehr@suse.de
- go back to loopback/network if ESC in IP configuration
- add always a small boot partition when doing automated partitioning
* Thu Jul 08 1999 - fehr@suse.de
- fix abort when scanning conf.modules.rpmsave
* Wed Jul 07 1999 - fehr@suse.de
- read rc.config of installed system right after mounting the FS
* Wed Jul 07 1999 - ro@suse.de
- added openssl to default and Devel selections
* Wed Jul 07 1999 - fehr@suse.de
- add the scripts create_yast_... to /usr/lib/YaST
* Mon Jul 05 1999 - fehr@suse.de
- make parser of lilo.conf know more keywords
- scan conf.modules.rpmorig and put entries in conf.modules
- max swap 2G
* Fri Jun 25 1999 - fehr@suse.de
- call wvdial.lxdialog for PPP configuration
- fix bug in alpha recognition
- make automated installation more general
* Fri Jun 25 1999 - ro@suse.de
- updated selections: added apache-modules
* Fri Jun 25 1999 - ma@suse.de
- fixed duplicate root prefix bug
* Thu Jun 24 1999 - ma@suse.de
- incomplete sources
* Wed Jun 23 1999 - ma@suse.de
- check and rebuild rpm db if neccessary
* Wed Jun 23 1999 - ro@suse.de
- added pam & cracklib to all selections
* Fri Jun 11 1999 - fehr@suse.de
- create /boot as a dos partition on alphas
* Wed Jun 09 1999 - fehr@suse.de
- integrate some changes for 10.8.1 for alpha distribution
* Thu Apr 29 1999 - fehr@suse.de
- minor change in texts
- add some new printers to selection in YaST
* Wed Apr 28 1999 - fehr@suse.de
- adapt warning for swapfiles > 128 M
* Wed Apr 28 1999 - fehr@suse.de
- add update of romanian translation
- provide info window about wvdial when trying to configure PPP
  in YaST
* Wed Apr 28 1999 - ro@suse.de
- added pciutils to default.sel
* Wed Apr 21 1999 - fehr@suse.de
- fix bug in scanning lilo.conf
- add romanian to YaST language menue
* Fri Apr 16 1999 - fehr@suse.de
- removed setting of RC_LANG
* Thu Apr 15 1999 - fehr@suse.de
- add changes in english texts from Josh
* Thu Apr 15 1999 - fehr@suse.de
- updates on various languages
- add new languages to executed sax cmdline
* Wed Apr 14 1999 - fehr@suse.de
- additional language updates
* Tue Apr 13 1999 - fehr@suse.de
- make changes for correct locale settings
- add czech as language
* Mon Apr 12 1999 - fehr@suse.de
- make changes for correct font setting of greek and russian
- make sure that fdisk-output is also valid for >=100G partitions
* Thu Apr 08 1999 - fehr@suse.de
- make automated selection of PCMCIA work again
* Wed Apr 07 1999 - bs@suse.de
- yet another update for selections
* Tue Apr 06 1999 - ro@suse.de
- updated selections
* Tue Apr 06 1999 - fehr@suse.de
- do not check for /dev in DOS/OS2-partitions
* Tue Apr 06 1999 - fehr@suse.de
- ask nameserver for machinename if appropriate
* Tue Apr 06 1999 - bs@suse.de
- added new selections
* Fri Apr 02 1999 - fehr@suse.de
- set version to 0.997
- make network setup for NFS and FTP installations on first startup
  more robust
* Wed Mar 31 1999 - ma@suse.de
- workaround easter egcs bug(?), which caused various
  notify popups not to appear on screen.
* Tue Mar 30 1999 - fehr@suse.de
- make scanning of append-line more robust.
* Tue Mar 30 1999 - fehr@suse.de
- prevent duplicate vga-entry in /etc/lilo.conf
* Mon Mar 29 1999 - ma@suse.de
- new fdisk patch
* Wed Mar 24 1999 - ma@suse.de
- installation: YaST screen does not report any 'file conflicts'
  or 'file previously owned by' messages anymore. But they are
  still written to the installation logfile.
* Fri Mar 19 1999 - ma@suse.de
- improved install via FTP. Image may be split into several
  directories (CD1 .. CDn)
* Fri Mar 19 1999 - fehr@suse.de
- add generic entry to isdn card list
- fix problem activating pointopoint networks
- version 0.996.1
* Thu Mar 18 1999 - ro@suse.de
- added eazy to default selection
* Tue Mar 16 1999 - fehr@suse.de
- version 0.996
- make lilo configuration smarter
- enable setting of any partition type
- enable creation and formatting of dos partitions
- add search function to mask for editing rc.config
- add selectable mount point list
* Fri Mar 12 1999 - ro@suse.de
- updated selections (+=sdb)
* Thu Mar 04 1999 - ro@suse.de
- updated selections
* Mon Mar 01 1999 - ma@suse.de
- Version 0.991.3
- Fixed bug in scaning RPM-DB if packages have multiline
  summary entries.
* Thu Jan 21 1999 - ma@suse.de
- Version 0.991.2
- Replace configuration: Don't ask to confirm deleting
  0 packages.
* Wed Jan 20 1999 - bs@suse.de
- made some changes in yast.sel.tar.gz
* Wed Jan 20 1999 - fehr@suse.de
- minor changes in some languages
- real russian HLP file
* Wed Jan 20 1999 - fehr@suse.de
- add option "-k" to tar command of live CD integration
* Mon Jan 18 1999 - fehr@suse.de
- call setfont always when changing lanuages
- add Madge Token Ring card
- changed spanish HLP-file
* Mon Jan 18 1999 - fehr@suse.de
- minor fix in Makefile
* Mon Jan 18 1999 - fehr@suse.de
- change font settings when changing language in YaST
* Thu Jan 07 1999 - fehr@suse.de
- Add a lot of additional languages and support for them
* Thu Jan 07 1999 - ma@suse.de
- Version 0.991.1
- Dependencies: convert a single DepOR to DepAND
  thus it can be resolved automaticaly.
- fixed: SEGV when installing packages after temporarily
  leaving the install menue.
- Save configuration: mount floppy somewere in /tmp not on
  /mnt
* Thu Dec 17 1998 - fehr@suse.de
- make fdisk work with Raid-Servers with more than 100 Gig
* Mon Dec 14 1998 - fehr@suse.de
- add -k to tar extraction of live system tgz
- add last 4 italian texts
- call InsertCD before check for alternate kernel
* Mon Dec 14 1998 - fehr@suse.de
- make isdn dialmode variable independent for each interface
- keep "compact"-setting when updating lilo.conf
* Sun Dec 13 1998 - fehr@suse.de
- fixed bug in handling multiple rc.config files
- patch for ISDN configuration from Carsten Keil added
- changes for DHCP client configuration
* Sat Dec 12 1998 - bs@suse.de
- new selections.
* Fri Dec 11 1998 - fehr@suse.de
- Version 0.98f
- change absolute symlinks
- create link from opt to usr/opt if appropriate
- lilo update should change /vmlinuz to /boot/vmlinux
- unclean filesystem get e2fsck called before mounting
* Thu Dec 10 1998 - fehr@suse.de
- Version 0.98e
- minor changes
- english and french texts are up to date
* Wed Dec 09 1998 - ma@suse.de
- Version 0.98c
- ISDN configuration: new cards added
- fixed: prompt for alternate kernel on FTPInstall
- new 'load configuration' dialog
  (TBD: 'save configuration')
- english texts are up todate
* Wed Dec 09 1998 - bs@suse.de
- fixed "neededforbuild"
* Tue Dec 01 1998 - ma@suse.de
- fixed: install kernel - sort selection list and don't
  copy .config for alternate kernel
- fixed: selection of default boot kernel for initial lilo.conf
  and bootdisk creation
- install packages - filter 'created as' messages from %%config(noreplace)
- Sax: new path to look for ScanPci (/var/X11R6/sax/bin/)
* Fri Nov 27 1998 - ma@suse.de
- Fixed: boot kernel list sort order.
* Fri Nov 27 1998 - ma@suse.de
- Version 0.98b
- Select Boot Kernel: prompt user for alternate kernel
  set if available.
  (TBD: alternate set is ignored on FTPInstall)
* Wed Nov 25 1998 - ma@suse.de
- added te_latex to all configurations containing tetex
- fixed: did not actually load selected keymaps in instsys
- support new sax option '--out off' to turn off terminal
  output and startup delay
- fixed: race condition bug in FTP code
* Thu Nov 19 1998 - ma@suse.de
- Say 'goodby dots' in YaST, message- and helpfiles
- fix: SEGV when installing a package with shell
  metachars or spaces in it's pathname.
* Wed Nov 18 1998 - ma@suse.de
- Added lilo sources. Build static YaST,fdisk,lilo
* Wed Nov 18 1998 - ma@suse.de
- build beta version with libc5
* Tue Nov 17 1998 - ma@suse.de
- Added /usr/share/zoneinfo to TIMEZONE_PATH
* Mon Nov 16 1998 - ma@suse.de
- shared binary (/usr/lib/YaST/YaST.dyn) added
* Thu Nov 12 1998 - fehr@suse.de
- recognize a libc6 system as elf
* Wed Nov 11 1998 - fehr@suse.de
- XFree86 configuration allows choice between sax, xf86config and xf86setup
- Ask user befor remounting mounted CD-ROM
- Allow empty searchlist in nameserver dialog
- Do not allow empty domainname
- Lot s of other minor changes...
* Thu Nov 05 1998 - ma@suse.de
- finally found workaround for rpm's poor performance upon
  db queries using --qf %%FILENAMES. PackageInfo should be
  significant faster when searching on system.
* Thu Nov 05 1998 - ma@suse.de
- Show note upon accessing description files if
  neccessary (i.e. commpn.war/language.war exists).
* Thu Oct 29 1998 - fehr@suse.de
- Default kernel path /boot
- DHCP client configuration
- changes for kbd 0.96
* Fri Oct 23 1998 - ma@suse.de
- glibc fixes
* Thu Oct 22 1998 - ma@suse.de
- set version to 0.98a
- more security fixes against tmp-exploits
- fixed SEGV when creating rescue disk
- (installation) Don't let file conflicts look
  like errors.  It's just a warning.
- (autoinstall) Changes to determine the proper install
  sequence of extra packages via FILES.LST.
* Thu Sep 10 1998 - ro@suse.de
- removed vbox from configuration Alles
* Mon Sep 07 1998 - ma@suse.de
- fixed SEGV when trying to partition and language is english
- set version to 0.97.4
* Mon Aug 31 1998 - ro@suse.de
- fixed applix confs: Network/Devel has no applix-pkgs
  Alles/default has axbase and axdemo
* Tue Aug 25 1998 - ma@suse.de
- added applix configurations
* Mon Aug 24 1998 - ma@suse.de
- added tcl_new to default configuration
* Mon Aug 24 1998 - ma@suse.de
- added tcl_new to Network configuration
* Fri Aug 21 1998 - fehr@suse.de
- add security fixes against tmp-exploits
- set version to 0.97.3
* Mon Aug 17 1998 - fehr@suse.de
- fix crash after creating rescue system
* Tue Aug 11 1998 - fehr@suse.de
- set version to 0.97.2
- fix problem with fdisk on an invalid partition tables
* Mon Aug 10 1998 - fehr@suse.de
- changes in italian and french help texts
* Fri Aug 07 1998 - fehr@suse.de
- italian texts now complete
- remove error window when no valid partitions found
* Tue Aug 04 1998 - fehr@suse.de
- make plip installation work when install media not premounted
* Thu Jul 30 1998 - fehr@suse.de
- fix problem when installing kernels after installing demo mode
* Wed Jul 29 1998 - ma@suse.de
- new version 0.97 (SuSE_Linux_5_3_Auflage_1)
- SaX problem fixed, missing X server will be installed
- 61 missing italian texts, english version is used.
* Tue Jul 28 1998 - ma@suse.de
- new version 0.90.3
- default configurations updated
- install via FTP: cleanup tmpdir; reinit after language
  or partition changed; install remaining packages (2nd
  part of install) should do
- changed handling of ftp install media (delay setup until
  system below is present)
* Tue Jul 28 1998 - ma@suse.de
- default configurations updated
* Tue Jul 28 1998 - ma@suse.de
- install via FTP should work, but still some things
  left to do (cleanup, reinit after language has changed..)
* Fri Jul 24 1998 - fehr@suse.de
- Add changes for selection of boot kernel when install medium FTP
* Thu Jul 23 1998 - fehr@suse.de
- French and english texts should be up to date
- Changed handling of parallel port cdroms
* Thu Jul 23 1998 - ma@suse.de
- upon install/update of xf86 check X server and install
  the (hopefully) right one if it's missing.
* Wed Jul 22 1998 - ma@suse.de
- version 0.90.2
- new default configurations
- autoselect pcmcia package if it's required
- install via FTP still broken ;(
* Sun Jul 12 1998 - bs@suse.de
- new version 0.90.1
* Thu Jun 25 1998 - fehr@suse.de
- a new version of YaST (sources are still missing)
- works with new fdisk
- redesign of installation menus
* Thu Jun 25 1998 - bs@suse.de
- switched back to old fdisk binary
* Wed Jun 24 1998 - bs@suse.de
- added new fdisk binary (from util-linux 2.8) - needed for new MS style
  for extended partitions.
* Wed May 20 1998 - bs@suse.de
- new version of french texts added.
* Tue May 19 1998 - bs@suse.de
- added french
* Fri May 15 1998 - bs@suse.de
- added xdevel to default and Standard configuration
* Tue Apr 07 1998 - ro@suse.de
- added libpng in all except Minimal and XTerminal
  added libz to Minimal and XTerminal
* Fri Mar 06 1998 - ma@suse.de
- Use of multiple package views/categories in series
  selection implemented.
* Mon Mar 02 1998 - ro@suse.de
- removed xdoc from all configs (contains only Japanese Documentation)
  changed qt to qtlib and added qtdevel where appropriate
* Wed Feb 18 1998 - ma@suse.de
- lots of changes to install package mask
- prepared for autobuild
* Wed Feb 18 1998 - ro@suse.de
- added tix_new in All (for xcdroast)
  added igerman for all with ispell
* Tue Feb 10 1998 - ro@suse.de
- added tix in Extended and XExtend (for samt)
* Mon Feb 02 1998 - ro@suse.de
- added wuftpd to all but minimal
  added xdelta to all with gimp
  corrected XFree 86 to XFree86
* Fri Jan 23 1998 - bs@suse.de
- switched all cnews & nntpd to inn
* Thu Jan 08 1998 - fehr@suse.de
- Write partition table immediately after partitioning
- Add mask for PPP-Konfiguration
- Call SuSEconfig in cheapest possible mode
* Tue Dec 09 1997 - bs@suse.de
- added mmbase to all selections.
* Tue Dec 09 1997 - fehr@suse.de
- Fix bug when changing a user (lines duplicated in passwd, shadow)
* Wed Nov 26 1997 - ro@suse.de
- changed gs_both in XBase to gs_x11
  added svgalib to Base, Base2, Develop, Network
* Wed Nov 26 1997 - ro@suse.de
- changed gs_serv to gs_both in Base, Base2, Develop, Network, XBase
- removed linclude from XDevelop (depexc with lx_suse)
* Sun Nov 16 1997 - fehr@suse.de
- added new lilo binary
- fixed loader stuff (any_d.b)
* Fri Oct 24 1997 - fehr@suse.de
- add mask to activate xdm
- make reaction to ctrl-alt-del configureable
- add configuration mask for YP client
- read values in /etc/default/useradd for defualts of created users
- make locking of passwd,shadow,group,gshadow compatible with other
  shadow utilities
- call script /usr/sbin/adduser.local after creation of user if present
- add possibility to have more than one swap partition
- change handling of I4L dialin and dialout numbers for new i4l package
* Mon Jul 21 1997 - fehr@suse.de
- Minor bug fixes
* Sat May 31 1997 - fehr@suse.de
- Added four parallel port CDROMs
- Check correctly for installed packages with rpm
- Add comment to route.conf when creating
* Thu May 08 1997 - fehr@suse.de
- Make input of own network device in network configuration possible
* Mon May 05 1997 - fehr@suse.de
- Added ISDN-configuration
- Network configuration can configure up to four networks
- Added support for Installation and Update when MD-Devices exist
- Changed apsfilter configuration to work with Werner new apsfilter
- Added Support for premounted install medium
- Install medium is mounted when entering installation submenue
* Fri Feb 14 1997 - ma@suse.de
  YaST 0.61.3
- Report files excluded from installation only if they
  actually occur in the package.
- Install single package: Supress error message on incompete/wrong
  path/URL, if fileselection popup comes up afterwards.
* Thu Feb 13 1997 - ma@suse.de
  YaST 0.61.3
- Now there's a changelog
